blocked_agents_import = open("blocked-agents.txt", "r")
blocked_agents = blocked_agents_import.readlines()
blocked_agents_sep_d = ""

for agent in blocked_agents:
    if agent[-1] == "\n":
        blocked_agents_sep_d += agent[:-1] + "|"
    else:
        blocked_agents_sep_d += agent + "|"
blocked_agents_sep_d = blocked_agents_sep_d[:-1]


blocked_paths_import = open("blocked-paths.txt", "r")
blocked_paths = blocked_paths_import.readlines()
blocked_paths_sep_d = ""

for path in blocked_paths:
    if path[-1] == "\n":
        blocked_paths_sep_d += path[:-1] + "|"
    else:
        blocked_paths_sep_d += path + "|"
blocked_paths_sep_d = blocked_paths_sep_d[:-1]


allowed_agents_import = open("allowed-agents.txt", "r")
allowed_agents = allowed_agents_import.readlines()
allowed_agents_sep_d = ""

for agent in allowed_agents:
    if agent[-1] == "\n":
        allowed_agents_sep_d += agent[:-1] + "|"
    else:
        allowed_agents_sep_d += agent + "|"
allowed_agents_sep_d = allowed_agents_sep_d[:-1]

# sorry this will be very messy
final_config = f'''    set $redir_to_gz 1;
    if ($http_user_agent !~* ({blocked_agents_sep_d})) {{
        set $redir_to_gz 0;
    }}
    if ($http_user_agent ~* ({allowed_agents_sep_d})) {{
        set $redir_to_gz 0;
    }}
    if ($http_user_agent == "") {{
        set $redir_to_gz 1;
    }}

    location ~ ^/({blocked_paths_sep_d})/ {{
        set $redir_to_gz 1;
    }}

    if ($redir_to_gz) {{
        return 301 https://gz.notfire.cc;
    }}'''

output_config = open("output_config.txt", "w+")
output_config.write(final_config)